<?xml version='1.0'?>
<Project Type="Project" LVVersion="8208000">
   <Property Name="NI.LV.ExampleFinder" Type="Str">&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;nidna:ExampleProgram 
    xmlns:nidna="http://www.ni.com/Schemas/DNA/1.0" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xsi:schemaLocation="http://www.ni.com/Schemas/DNA/1.0 ..\DNA\1.0\NiExampleProgram.xsd" 
    SchemaVersion="1.0" 
    ContentType="EXAMPLE" 
&lt;Title&gt;
	&lt;Text Locale="US"&gt;Board Testing.lvproj&lt;/Text&gt;
&lt;/Title&gt;
&lt;Description&gt;
	&lt;Text Locale="US"&gt;This example demonstrates the benefits of LabVIEW Object-Oriented Programming when writing and maintaining test and measurement programs.

Refer to &lt;b&gt;Read_Me.html&lt;/b&gt; in this project for a detailed explanation of the example.

Refer to the LabVIEW Help for more information about LabVIEW object-oriented programming.&lt;/Text&gt;
&lt;/Description&gt;
&lt;Keywords&gt;
	&lt;Item&gt;object-oriented&lt;/Item&gt;
	&lt;Item&gt;classes&lt;/Item&gt;
&lt;/Keywords&gt;
&lt;Navigation&gt;
	&lt;Item&gt;6700&lt;/Item&gt;
	&lt;Item&gt;8419&lt;/Item&gt;
&lt;/Navigation&gt;
&lt;FileType&gt;LV Project&lt;/FileType&gt;
&lt;Metadata&gt;
&lt;Item Name="RTSupport"&gt;LV Project&lt;/Item&gt;
&lt;/Metadata&gt;
&lt;ProgrammingLanguages&gt;
&lt;Item&gt;LabVIEW&lt;/Item&gt;
&lt;/ProgrammingLanguages&gt;
&lt;RequiredSoftware&gt;
&lt;NiSoftware MinVersion="8.0"&gt;LabVIEW&lt;/NiSoftware&gt; 
&lt;/RequiredSoftware&gt;
</Property>
   <Property Name="NI.Project.Description" Type="Str">This example demonstrates the benefits of LabVIEW Object-Oriented Programming when writing and maintaining test and measurement programs.

Refer to &lt;b&gt;Read_Me.html&lt;/b&gt; in this project for a detailed explanation of the example.

Refer to the LabVIEW Help for more information about LabVIEW object-oriented programming.</Property>
   <Item Name="My Computer" Type="My Computer">
      <Property Name="server.app.propertiesEnabled" Type="Bool">true</Property>
      <Property Name="server.control.propertiesEnabled" Type="Bool">true</Property>
      <Property Name="server.tcp.enabled" Type="Bool">false</Property>
      <Property Name="server.tcp.port" Type="Int">0</Property>
      <Property Name="server.tcp.serviceName" Type="Str">My Computer/VI Server</Property>
      <Property Name="server.tcp.serviceName.default" Type="Str">My Computer/VI Server</Property>
      <Property Name="server.vi.callsEnabled" Type="Bool">true</Property>
      <Property Name="server.vi.propertiesEnabled" Type="Bool">true</Property>
      <Property Name="specify.custom.address" Type="Bool">false</Property>
      <Item Name="Task-Oriented Solution" Type="Folder">
         <Item Name="SubVIs" Type="Folder">
            <Item Name="Test A.vi" Type="VI" URL="Task Design/Test A.vi"/>
            <Item Name="Test B.vi" Type="VI" URL="Task Design/Test B.vi"/>
            <Item Name="Test C.vi" Type="VI" URL="Task Design/Test C.vi"/>
            <Item Name="Test_Common To All Boards.vi" Type="VI" URL="Task Design/Test_Common To All Boards.vi"/>
            <Item Name="Get Test Name.vi" Type="VI" URL="Task Design/Get Test Name.vi"/>
         </Item>
         <Item Name="Test Boards_TASK.vi" Type="VI" URL="Task Design/Test Boards_TASK.vi"/>
      </Item>
      <Item Name="Object-Oriented Solution" Type="Folder">
         <Item Name="Classes" Type="Folder">
            <Item Name="Boards" Type="Folder">
               <Item Name="Board Design.lvclass" Type="LVClass" URL="Object Design/Board/Board Design.lvclass">
                  <Item Name="Board Design.ctl" Type="Class Private Data" URL="Object Design/Board/Board Design.lvclass/Board Design.ctl"/>
                  <Item Name="Protected" Type="Folder">
                     <Item Name="Component Orientation and Position.ctl" Type="VI" URL="Object Design/Board/Component Orientation and Position.ctl"/>
                     <Item Name="Get Components.vi" Type="VI" URL="Object Design/Board/Get Components.vi"/>
                     <Item Name="Get Unique Test ID.vi" Type="VI" URL="Object Design/Board/Get Unique Test ID.vi"/>
                  </Item>
                  <Item Name="Enum to Board Design.vi" Type="VI" URL="Object Design/Board/Enum to Board Design.vi"/>
                  <Item Name="Check Image Matches Design.vi" Type="VI" URL="Object Design/Board/Check Image Matches Design.vi"/>
                  <Item Name="Get Test Name.vi" Type="VI" URL="Object Design/Board/Get Test Name.vi"/>
                  <Item Name="Get Class Name.vi" Type="VI" URL="Object Design/Board/Get Class Name.vi"/>
               </Item>
               <Item Name="DAQ Board Design.lvclass" Type="LVClass" URL="Object Design/DAQBoard/DAQ Board Design.lvclass">
                  <Item Name="DAQ Board Design.ctl" Type="Class Private Data" URL="Object Design/DAQBoard/DAQ Board Design.lvclass/DAQ Board Design.ctl"/>
                  <Item Name="Get Components.vi" Type="VI" URL="Object Design/DAQBoard/Get Components.vi"/>
               </Item>
               <Item Name="Basic DAQ Design.lvclass" Type="LVClass" URL="Object Design/DAQBasic/Basic DAQ Design.lvclass">
                  <Item Name="Basic DAQ Design.ctl" Type="Class Private Data" URL="Object Design/DAQBasic/Basic DAQ Design.lvclass/Basic DAQ Design.ctl"/>
                  <Item Name="Get Unique Test ID.vi" Type="VI" URL="Object Design/DAQBasic/Get Unique Test ID.vi"/>
                  <Item Name="Get Class Name.vi" Type="VI" URL="Object Design/DAQBasic/Get Class Name.vi"/>
               </Item>
               <Item Name="Elite DAQ Design.lvclass" Type="LVClass" URL="Object Design/DAQElite/Elite DAQ Design.lvclass">
                  <Item Name="Elite DAQ Design.ctl" Type="Class Private Data" URL="Object Design/DAQElite/Elite DAQ Design.lvclass/Elite DAQ Design.ctl"/>
                  <Item Name="Get Components.vi" Type="VI" URL="Object Design/DAQElite/Get Components.vi"/>
                  <Item Name="Get Unique Test ID.vi" Type="VI" URL="Object Design/DAQElite/Get Unique Test ID.vi"/>
                  <Item Name="Get Class Name.vi" Type="VI" URL="Object Design/DAQElite/Get Class Name.vi"/>
               </Item>
               <Item Name="GPIB Board Design.lvclass" Type="LVClass" URL="Object Design/GPIBBoard/GPIB Board Design.lvclass">
                  <Item Name="GPIB Board Design.ctl" Type="Class Private Data" URL="Object Design/GPIBBoard/GPIB Board Design.lvclass/GPIB Board Design.ctl"/>
                  <Item Name="Get Components.vi" Type="VI" URL="Object Design/GPIBBoard/Get Components.vi"/>
                  <Item Name="Get Unique Test ID.vi" Type="VI" URL="Object Design/GPIBBoard/Get Unique Test ID.vi"/>
                  <Item Name="Get Class Name.vi" Type="VI" URL="Object Design/GPIBBoard/Get Class Name.vi"/>
               </Item>
            </Item>
            <Item Name="Components" Type="Folder">
               <Item Name="Component.lvclass" Type="LVClass" URL="Object Design/Component/Component.lvclass">
                  <Item Name="Component.ctl" Type="Class Private Data" URL="Object Design/Component/Component.lvclass/Component.ctl"/>
                  <Item Name="Self Test.vi" Type="VI" URL="Object Design/Component/Self Test.vi"/>
                  <Item Name="Initialize.vi" Type="VI" URL="Object Design/Component/Initialize.vi"/>
                  <Item Name="Get Row and Column.vi" Type="VI" URL="Object Design/Component/Get Row and Column.vi"/>
                  <Item Name="Get Orientation.vi" Type="VI" URL="Object Design/Component/Get Orientation.vi"/>
               </Item>
               <Item Name="AD Converter.lvclass" Type="LVClass" URL="Object Design/ADConverter/AD Converter.lvclass">
                  <Item Name="AD Converter.ctl" Type="Class Private Data" URL="Object Design/ADConverter/AD Converter.lvclass/AD Converter.ctl"/>
                  <Item Name="Self Test.vi" Type="VI" URL="Object Design/ADConverter/Self Test.vi"/>
               </Item>
               <Item Name="DA Converter.lvclass" Type="LVClass" URL="Object Design/DAConverter/DA Converter.lvclass">
                  <Item Name="DA Converter.ctl" Type="Class Private Data" URL="Object Design/DAConverter/DA Converter.lvclass/DA Converter.ctl"/>
                  <Item Name="Self Test.vi" Type="VI" URL="Object Design/DAConverter/Self Test.vi"/>
               </Item>
               <Item Name="Magic Signal Filter.lvclass" Type="LVClass" URL="Object Design/MagicSignalFilter/Magic Signal Filter.lvclass">
                  <Item Name="Magic Signal Filter.ctl" Type="Class Private Data" URL="Object Design/MagicSignalFilter/Magic Signal Filter.lvclass/Magic Signal Filter.ctl"/>
                  <Item Name="Self Test.vi" Type="VI" URL="Object Design/MagicSignalFilter/Self Test.vi"/>
               </Item>
               <Item Name="FPGA Chip.lvclass" Type="LVClass" URL="Object Design/FPGAChip/FPGA Chip.lvclass">
                  <Item Name="FPGA Chip.ctl" Type="Class Private Data" URL="Object Design/FPGAChip/FPGA Chip.lvclass/FPGA Chip.ctl"/>
                  <Item Name="Self Test.vi" Type="VI" URL="Object Design/FPGAChip/Self Test.vi"/>
               </Item>
               <Item Name="Resistor.lvclass" Type="LVClass" URL="Object Design/Resistor/Resistor.lvclass">
                  <Item Name="Resistor.ctl" Type="Class Private Data" URL="Object Design/Resistor/Resistor.lvclass/Resistor.ctl"/>
                  <Item Name="Self Test.vi" Type="VI" URL="Object Design/Resistor/Self Test.vi"/>
               </Item>
            </Item>
         </Item>
         <Item Name="Test Boards_OBJECT.vi" Type="VI" URL="Object Design/Test Boards_OBJECT.vi"/>
      </Item>
      <Item Name="Common Components" Type="Folder">
         <Item Name="Generate Test Cases" Type="Folder">
            <Item Name="Point to Distance on Board.vi" Type="VI" URL="Common/Point to Distance on Board.vi"/>
            <Item Name="Generate Broken Board.vi" Type="VI" URL="Common/Generate Broken Board.vi"/>
            <Item Name="Assembly Line Image Generator.vi" Type="VI" URL="Common/Assembly Line Image Generator.vi"/>
            <Item Name="Generate Test Images.vi" Type="VI" URL="Common/Generate Test Images.vi"/>
            <Item Name="Get Test Image.vi" Type="VI" URL="Common/Get Test Image.vi"/>
         </Item>
         <Item Name="Test For Square of Color.vi" Type="VI" URL="Common/Test For Square of Color.vi"/>
         <Item Name="Get ID Number.vi" Type="VI" URL="Common/Get ID Number.vi"/>
         <Item Name="Board Image.ctl" Type="VI" URL="Common/Board Image.ctl"/>
         <Item Name="Board Type Enum.ctl" Type="VI" URL="Common/Board Type Enum.ctl"/>
         <Item Name="Asm Line Input.ctl" Type="VI" URL="Common/Asm Line Input.ctl"/>
         <Item Name="Pass Fail Boolean.ctl" Type="VI" URL="Common/Pass Fail Boolean.ctl"/>
      </Item>
      <Item Name="Read_Me.html" Type="Document" URL="Read_Me.html"/>
      <Item Name="Dependencies" Type="Dependencies"/>
      <Item Name="Build Specifications" Type="Build"/>
   </Item>
</Project>
